summaryrefslogtreecommitdiff
path: root/toolchain/dependecies.sh
diff options
context:
space:
mode:
Diffstat (limited to 'toolchain/dependecies.sh')
-rwxr-xr-xtoolchain/dependecies.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/toolchain/dependecies.sh b/toolchain/dependecies.sh
new file mode 100755
index 0000000..6aafb60
--- /dev/null
+++ b/toolchain/dependecies.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+# Automatically installs the dependecies for building the compiler.
+DISTRO=$(uname -a | awk '{print $2}')
+[ $DISTRO != "debian" ] && echo "Installer for dependecies only works on debian currently. Check https://wiki.osdev.org/GCC_Cross-Compiler#Installing_Dependencies for more information." && exit 1
+# Currently only debian(11 or 12) is supported
+sudo apt install build-essential bison flex libgmp3-dev libmpc-dev libmpfr-dev texinfo